<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: behavioral Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classDCC__SI5344__Control.html">DCC_SI5344_Control</a></li><li class="navelem"><a class="el" href="classDCC__SI5344__Control_1_1behavioral.html">behavioral</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">behavioral Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classDCC__SI5344__Control_1_1behavioral-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:a575b2897a792fed0c051e889db0f23eb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a575b2897a792fed0c051e889db0f23eb"></a>
<a class="el" href="classDCC__SI5344__Control_1_1behavioral.html#a575b2897a792fed0c051e889db0f23eb">SI5344_Control</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk_sys_50Mhz</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Components"></a>
Components</h2></td></tr>
 <tr class="memitem:aba61cc031d98e8641f5ba4ecbaa840fc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aba61cc031d98e8641f5ba4ecbaa840fc"></a>
<a class="el" href="classDCC__SI5344__Control_1_1behavioral.html#aba61cc031d98e8641f5ba4ecbaa840fc">I2c_master</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classI2c__master.html">&lt;Entity I2c_master&gt; </a></em></td></tr>
<tr class="memitem:abcd8419a8d8e0b31f86be54ab196cea9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abcd8419a8d8e0b31f86be54ab196cea9"></a>
<a class="el" href="classDCC__SI5344__Control_1_1behavioral.html#abcd8419a8d8e0b31f86be54ab196cea9">pacd</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classpacd.html">&lt;Entity pacd&gt; </a></em></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Types"></a>
Types</h2></td></tr>
 <tr class="memitem:ae2b89b7c84921fb2de34c3545387103b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae2b89b7c84921fb2de34c3545387103b"></a>
<b><a class="el" href="classDCC__SI5344__Control_1_1behavioral.html#ae2b89b7c84921fb2de34c3545387103b">state_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">SI5344_IDLE</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">SI5344_RESET_GET_PAGE</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">SI5344_RESET_GET_PAGE_START_WAIT</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">SI5344_RESET_GET_PAGE_WAIT</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">SI5344_RESET_GET_PAGE_FINISH</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">SI5344_RESET_SET_PAGE_START_WAIT</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">SI5344_RESET_SET_PAGE_WAIT</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">SI5344_RESET_SET_RESET_START_WAIT</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">SI5344_RESET_SET_RESET_WAIT</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">SI5344_RESET_RESTORE_PAGE_START_WAIT</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">SI5344_USER_START</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">SI5344_USER_START_WAIT</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">SI5344_USER_WAIT</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">SI5344_USER_FINISH</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">SI5344_RESET_START</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a6f9fbdf1f4a05b9914ec56bd97446bcf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f9fbdf1f4a05b9914ec56bd97446bcf"></a>
<a class="el" href="classDCC__SI5344__Control_1_1behavioral.html#a6f9fbdf1f4a05b9914ec56bd97446bcf">reset_request_pulse</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab3a8431306e13d5e4d72b0053f512cf8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab3a8431306e13d5e4d72b0053f512cf8"></a>
<a class="el" href="classDCC__SI5344__Control_1_1behavioral.html#ab3a8431306e13d5e4d72b0053f512cf8">queued_reset_request</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa40d4f1ddf1bdce6fd899f2fb27386af"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa40d4f1ddf1bdce6fd899f2fb27386af"></a>
<a class="el" href="classDCC__SI5344__Control_1_1behavioral.html#aa40d4f1ddf1bdce6fd899f2fb27386af">queued_user_request</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6904185e18ce74b69169d388d0584461"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6904185e18ce74b69169d388d0584461"></a>
<a class="el" href="classDCC__SI5344__Control_1_1behavioral.html#a6904185e18ce74b69169d388d0584461">I2C_run</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af4b1476091d2c31fc684bea4ee1da700"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af4b1476091d2c31fc684bea4ee1da700"></a>
<a class="el" href="classDCC__SI5344__Control_1_1behavioral.html#af4b1476091d2c31fc684bea4ee1da700">I2C_rw</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adaa860fb7a6513816a45265344db296d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adaa860fb7a6513816a45265344db296d"></a>
<a class="el" href="classDCC__SI5344__Control_1_1behavioral.html#adaa860fb7a6513816a45265344db296d">I2C_reg_addr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a04be8fb9c2131e8f504d89e08ae09a8a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a04be8fb9c2131e8f504d89e08ae09a8a"></a>
<a class="el" href="classDCC__SI5344__Control_1_1behavioral.html#a04be8fb9c2131e8f504d89e08ae09a8a">I2C_rd_data</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a10bdde8e9063f1cff8eb71ac4c1fe7e9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a10bdde8e9063f1cff8eb71ac4c1fe7e9"></a>
<a class="el" href="classDCC__SI5344__Control_1_1behavioral.html#a10bdde8e9063f1cff8eb71ac4c1fe7e9">I2C_wr_data</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ace839ce3dafa52ac2b0e6c4bccb0ff40"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ace839ce3dafa52ac2b0e6c4bccb0ff40"></a>
<a class="el" href="classDCC__SI5344__Control_1_1behavioral.html#ace839ce3dafa52ac2b0e6c4bccb0ff40">I2C_byte_count</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5fbb841097c23d54912f81949076cdb3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5fbb841097c23d54912f81949076cdb3"></a>
<a class="el" href="classDCC__SI5344__Control_1_1behavioral.html#a5fbb841097c23d54912f81949076cdb3">I2C_done</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a50244eb1473277ef0ff46c8bbcf57d9f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a50244eb1473277ef0ff46c8bbcf57d9f"></a>
<a class="el" href="classDCC__SI5344__Control_1_1behavioral.html#a50244eb1473277ef0ff46c8bbcf57d9f">I2C_error</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9b82c2663f114e72abfe37a0bf9a0eef"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9b82c2663f114e72abfe37a0bf9a0eef"></a>
<a class="el" href="classDCC__SI5344__Control_1_1behavioral.html#a9b82c2663f114e72abfe37a0bf9a0eef">cached_page</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; 00 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2b3fc83c5794b553732b9e3f5e0f89ca"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2b3fc83c5794b553732b9e3f5e0f89ca"></a>
<a class="el" href="classDCC__SI5344__Control_1_1behavioral.html#a2b3fc83c5794b553732b9e3f5e0f89ca">state</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">state_t</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">SI5344_IDLE</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:a99aee76ebbd060229b844788648f676a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a99aee76ebbd060229b844788648f676a"></a>
<a class="el" href="classDCC__SI5344__Control_1_1behavioral.html#a99aee76ebbd060229b844788648f676a">pacd_1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.pacd</b>  </td></tr>
<tr class="memitem:a014fe5b0dba4bd49befc538616664edc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a014fe5b0dba4bd49befc538616664edc"></a>
<a class="el" href="classDCC__SI5344__Control_1_1behavioral.html#a014fe5b0dba4bd49befc538616664edc">DTS_SI5344_I2C</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.I2C_reg_master</b>  </td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="DCC__SI5344__Control_8vhd_source.html#l00025">25</a> of file <a class="el" href="DCC__SI5344__Control_8vhd_source.html">DCC_SI5344_Control.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/timing_system/<a class="el" href="DCC__SI5344__Control_8vhd_source.html">DCC_SI5344_Control.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:33 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
